curl --request GET \
--url https://api.arize.com/v2/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"versions": [
{
"id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"name": "v1.0",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"name": "v1.1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-02-01T12:00:00Z",
"updated_at": "2024-02-02T12:00:00Z"
}
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Get a dataset
Get a dataset object by its ID.
This includes the dataset’s versions, sorted by creation date, with the most recently-created version first.
This endpoint does not include the dataset’s examples. To get the examples of a specific dataset version, use the List Dataset Examples endpoint.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
A dataset object
A dataset is a structured collection of examples used to test and evaluate LLM applications. Datasets allow you to test models consistently across any real-world scenarios and edge cases, quickly identify regressions, and track measurable improvements.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
List of versions associated with this dataset
Show child attributes
Show child attributes
Was this page helpful?